Launch plans
List active versions of LaunchPlan.
Fetch the active launch plan versions specified by input request filters.
GET
/
api
/
v1
/
active_launch_plans
/
{project}
/
{domain}
List active versions of LaunchPlan.
curl --request GET \
--url https://mycluster.domino.tech/flows/api/v1/active_launch_plans/{project}/{domain}import requests
url = "https://mycluster.domino.tech/flows/api/v1/active_launch_plans/{project}/{domain}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mycluster.domino.tech/flows/api/v1/active_launch_plans/{project}/{domain}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"launch_plans": [
{
"closure": {
"created_at": "2023-11-07T05:31:56Z",
"expected_inputs": {
"parameters": {}
},
"expected_outputs": {
"variables": {}
},
"state": "INACTIVE",
"updated_at": "2023-11-07T05:31:56Z"
},
"id": {
"domain": "<string>",
"name": "<string>",
"org": "<string>",
"project": "<string>",
"resource_type": "UNSPECIFIED",
"version": "<string>"
},
"spec": {
"annotations": {
"values": {}
},
"auth": {
"assumable_iam_role": "<string>",
"kubernetes_service_account": "<string>"
},
"auth_role": {
"assumable_iam_role": "<string>",
"kubernetes_service_account": "<string>"
},
"cluster_assignment": {
"cluster_pool_name": "<string>"
},
"concurrency_policy": {
"behavior": "CONCURRENCY_LIMIT_BEHAVIOR_UNSPECIFIED",
"max": 123
},
"default_inputs": {
"parameters": {}
},
"entity_metadata": {
"launch_conditions": {
"@type": "<string>"
},
"notifications": [
{
"email": {
"recipients_email": [
"<string>"
],
"template": "<string>"
},
"pager_duty": {
"recipients_email": [
"<string>"
],
"template": "<string>"
},
"phases": [
"UNDEFINED"
],
"slack": {
"recipients_email": [
"<string>"
],
"template": "<string>"
}
}
],
"schedule": {
"cron_expression": "<string>",
"cron_schedule": {
"offset": "<string>",
"schedule": "<string>"
},
"kickoff_time_input_arg": "<string>",
"rate": {
"unit": "MINUTE",
"value": 123
}
}
},
"envs": {
"values": [
{
"key": "<string>",
"value": "<string>"
}
]
},
"execution_env_assignments": [
{
"execution_env": {
"extant": {},
"name": "<string>",
"spec": {},
"type": "<string>",
"version": "<string>"
},
"node_ids": [
"<string>"
],
"task_type": "<string>"
}
],
"fixed_inputs": {
"literals": {}
},
"interruptible": true,
"labels": {
"values": {}
},
"max_parallelism": 123,
"overwrite_cache": true,
"quality_of_service": {
"spec": {
"queueing_budget": "<string>"
},
"tier": "UNDEFINED"
},
"raw_output_data_config": {
"output_location_prefix": "<string>"
},
"role": "<string>",
"security_context": {
"run_as": {
"execution_identity": "<string>",
"iam_role": "<string>",
"k8s_service_account": "<string>",
"oauth2_client": {
"client_id": "<string>",
"client_secret": {
"env_var": "<string>",
"group": "<string>",
"group_version": "<string>",
"key": "<string>",
"mount_requirement": "ANY"
}
}
},
"secrets": [
{
"env_var": "<string>",
"group": "<string>",
"group_version": "<string>",
"key": "<string>",
"mount_requirement": "ANY"
}
],
"tokens": [
{
"client": {
"client_id": "<string>",
"client_secret": {
"env_var": "<string>",
"group": "<string>",
"group_version": "<string>",
"key": "<string>",
"mount_requirement": "ANY"
}
},
"idp_discovery_endpoint": "<string>",
"name": "<string>",
"token_endpoint": "<string>",
"type": "CLIENT_CREDENTIALS"
}
]
},
"workflow_id": {
"domain": "<string>",
"name": "<string>",
"org": "<string>",
"project": "<string>",
"resource_type": "UNSPECIFIED",
"version": "<string>"
}
}
}
],
"token": "<string>"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Path Parameters
Name of the project that contains the identifiers. +required.
Name of the domain the identifiers belongs to within the project. +required.
Query Parameters
Indicates the number of resources to be returned. +required.
In the case of multiple pages of results, the server-provided token can be used to fetch the next page in a query. +optional
Indicates an attribute to sort the response values. +required
Indicates the direction to apply sort key for response values. +optional
- DESCENDING: By default, fields are sorted in descending order.
Available options:
DESCENDING, ASCENDING Optional, org key applied to the resource.
Last modified on August 19, 2026
Related topics
Fetch the active version of a LaunchPlan.Updates the status of a registered LaunchPlan.Fetch a list of LaunchPlan definitions.Fetch a list of LaunchPlan definitions (by name)Was this page helpful?
⌘I
List active versions of LaunchPlan.
